List account positions
curl --request GET \
--url https://api.portfobit.com/api/v1/accounts/{account_id}/positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portfobit.com/api/v1/accounts/{account_id}/positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portfobit.com/api/v1/accounts/{account_id}/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "acc_01H8XFK9A",
"venue": "binance",
"type": "swap",
"symbol": "BTC/USDT:USDT",
"side": "long",
"contracts": "1",
"contract_size": "1",
"entry_price": "60000.00",
"mark_price": "61000.00",
"notional": "61000.00",
"unrealized_pnl": "1000.00",
"risk": {
"status": "available",
"level": "medium",
"model_version": "risk_v1",
"as_of": "2026-08-07T08:00:00Z",
"reasons": [],
"metrics": {
"distance_to_liquidation": "0.34"
}
},
"as_of": "2026-08-07T08:00:00Z"
}
],
"meta": {
"total": 1,
"limit": 50,
"offset": 0,
"has_next": false,
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-07T08:00:01Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
}
}Accounts
List account positions
Requires account:read. Internal provider data and raw exchange responses are never returned.
GET
/
accounts
/
{account_id}
/
positions
List account positions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Connected CEX account ID.
Query Parameters
CCXT unified symbol.
Available options:
long, short Available options:
spot, margin, swap, future, option Available options:
cross, isolated, none Required range:
1 <= x <= 100Required range:
x >= 0